Subject: bug#28023: fix make-temp-file race on local host

From: Paul Eggert <[email-masked]>
Date: Thu, 10 Aug 2017 15:24:13 -0700

Eli Zaretskii wrote:

> And finally, tempname.c calls mkdir with 2 arguments, whereas mkdir on
> Windows accepts only one.  (This means Gnulib lacks a dependency,
> since the tempname module should then depend on mkdir, which isn't in
> lib/.)  Since we don't want the Gnulib replacement for mkdir, we will
> have to change w32.c:sys_mkdir to accept 2 arguments to fix this,
> unless you have a better idea.

No, your ideas all sound good. It's simpler for the generic code, if the mkdir 
replacement acts like POSIX mkdir.